<mat-toolbar>
    <div fxHide.gt-xs>
        <button mat-icon-button (click)="onToggleSidenav()">
            <mat-icon>menu</mat-icon>
        </button>
    </div>
    <div>
        <a routerLink="/">{{title}}</a>
    </div>
    <div fxFlex fxLayout fxLayoutAlign="end" fxHide.xs>
        <ul fxLayout fxLayoutGap="15px" class="navigation-items">
            <li>
                <a routerLink="/">Acasă</a>
            </li>
            <li>
                <a routerLink="/spitale">Spitale</a>
            </li>
            <ng-container *ngIf="!isUserLoggedIn()">
                <li>
                    <a routerLink="/autentificare">Autentificare</a>
                </li>
            </ng-container>
            <ng-container *ngIf="isUserLoggedIn()">
                <ng-container *ngIf="isUserEmployee()">
                    <li>
                        <a routerLink="/pacienti">Pacienți</a>
                    </li>
                    <li>
                        <a routerLink="/personal">Personal</a>
                    </li>
                    <li *ngIf="isUserDoctor()">
                        <a routerLink="/personal/doctori/{{getUser().ownerId}}/operatii">Operații</a>
                    </li>
                </ng-container>
                <ng-container *ngIf="!isUserEmployee()">
                    <li>
                        <a routerLink="/pacienti/{{getUser().ownerId}}/programari">Programări</a>
                    </li>
                    <li>
                        <a routerLink="/pacienti/{{getUser().ownerId}}/internari">Internări</a>
                    </li>
                </ng-container>
                <li *ngIf="!isUserAdmin()">
                    <a routerLink="/profil">Profil</a>
                </li>
                <li>
                    <a (click)="logout()" routerLink="deconectare">Deconectare</a>
                </li>
            </ng-container>
        </ul>
    </div>
</mat-toolbar>
